Searched refs:user (Results 51 - 75 of 1496) sorted by relevance

1234567891011>>

/macosx-10.10/uucp-11/uucp/contrib/
H A Dsavelog.sh11 # usage: savelog [-m mode] [-u user] [-g group] [-t] [-c cycle] [-l] file...
14 # -u user - chown log files to user
83 user=
89 echo "usage: $prog [-m mode][-u user][-g group][-t][-c cycle][-l] file ..." 1>&2
95 -u) user=$2; shift 2;;
132 if [ ! -z "$user" ]; then
133 $CHOWN $user $filename
207 if [ ! -z "$user" ]; then
208 $CHOWN $user
[all...]
/macosx-10.10/Heimdal-398.1.2/lib/roken/
H A Diruserok.c92 char *user, *p; local
134 user = p;
139 user = p;
171 switch(*user) {
173 if (!*(user+1)) { /* '+' matches all users */
177 if (*(user+1) == '@') /* match a user by netgroup */
178 userok = innetgr(user+2, NULL, (char *)ruser,
180 else /* match a user by direct specification */
181 userok = !(strcmp(ruser, user
[all...]
/macosx-10.10/Heimdal-398.1.2/tests/apple/
H A Dcheck-apple-netlogon.in60 dsconfigad -add $R -force -user bind -password apple || { echo "join failed" ; exit 1; }
70 ${test_gssntlm} --user=ktestuser --password=foobar --domain='' --session-key-broken > /dev/null || \
74 ${test_gssntlm} --user=ktestuser --password=foobar --domain=ADS --session-key-broken > /dev/null || \
78 sudo ${test_gssntlm} --user=ktestuser --password=foobar --domain='' --session-key-broken > /dev/null || \
82 sudo ${test_gssntlm} --user=ktestuser --password=foobar --domain=ADS --session-key-broken > /dev/null || \
86 sudo ${test_gssntlm} --user=ktestuser --password=foobar2 --domain=ADS 2>/dev/null --session-key-broken > /dev/null && \
93 dsconfigad -remove $R -force -user bind -password apple
/macosx-10.10/MITKerberosShim-66/test/
H A Dtest-gss.sh7 user="local"
56 ${kadmin} add -p "${pass}" --use-defaults "${user}@${realm}" || exit 1
60 ${kadmin} ext_keytab "${user}@${realm}" || exit 1
76 echo "##### Get tkt for ${user}@${realm} #####"
77 ${kinit} --password-file="${pw_file}" "${user}@${realm}"
83 --cprinc "${user}@${realm}" || exit 100
91 ${kadmin} del "${user}@${realm}"
/macosx-10.10/Heimdal-398.1.2/appl/login/
H A Dutmpx_login.c26 int utmpx_login(char *line, const char *user, const char *host) { return 0; } argument
30 utmpx_update(struct utmpx *ut, char *line, const char *user, const char *host) argument
39 strncpy(ut->ut_user, user, sizeof(ut->ut_user));
58 prepare_utmp (&utmp, line, user, host);
68 utmpx_login(char *line, const char *user, const char *host) argument
79 * process ID for a login or user process.
89 utmpx_update(&save_ut, line, user, host);
99 utmpx_update(&newut, line, user, host);
/macosx-10.10/Heimdal-398.1.2/lib/gssapi/ntlm/
H A Diter_cred.c64 char *user = NULL, *domain = NULL; local
74 ret = krb5_ret_stringz(response, &user);
78 free(user);
83 free(user);
90 free(user);
94 dn->user = user;
H A Dduplicate_name.c48 dn->user = strdup(sn->user);
54 if (dn == NULL || dn->user == NULL || dn->domain == NULL) {
/macosx-10.10/WebCore-7600.1.25/platform/network/
H A DCredential.cpp44 Credential::Credential(const String& user, const String& password, CredentialPersistence persistence) argument
45 : m_user(user.length() ? user : "")
55 : m_user(original.user())
76 const String& Credential::user() const function in class:WebCore::Credential
153 if (a.user() != b.user())
/macosx-10.10/apache-793/httpd/modules/aaa/
H A Dmod_authz_owner.c51 "Authorization of user %s to access %s failed, reason: %s",
52 r->user, r->uri, reason ? reason : "unknown");
58 if (!r->user) {
65 "Authorization of user %s to access %s failed, reason: %s",
66 r->user, r->uri, reason ? reason : "unknown");
75 "Authorization of user %s to access %s failed, reason: %s",
76 r->user, r->uri, reason ? reason : "unknown");
83 "Authorization of user %s to access %s failed, reason: %s",
84 r->user, r->uri, reason ? reason : "unknown");
88 status = apr_uid_name_get(&owner, finfo.user,
[all...]
/macosx-10.10/shell_cmds-179/chroot/
H A Dchroot.c64 char *user; /* user to switch to before running program */ variable
83 user = optarg;
136 if (user) {
137 if (isdigit(*user)) {
138 uid = (uid_t)strtol(user, &endp, 0);
139 if (endp == user)
143 if ((pw = getpwnam(user)))
146 errx(1, "no such user %s", user);
[all...]
/macosx-10.10/system_cmds-643.1.1/chkpasswd.tproj/
H A Dpasswd.c103 char* user = NULL; local
146 user = argv[0];
149 if (user == NULL) {
152 user = strdup(pw->pw_name);
154 if (user == NULL) {
163 file_check_passwd(user, locn);
166 nis_check_passwd(user, locn);
169 od_check_passwd(user, locn);
172 pam_check_passwd(user);
/macosx-10.10/Heimdal-398.1.2/appl/kx/
H A Dcontext.c43 context_set (kx_context *kc, const char *host, const char *user, int port, argument
49 kc->user = user;
73 context_userok (kx_context *kc, char *user) argument
75 return (*kc->userok)(kc, user);
/macosx-10.10/Heimdal-398.1.2/appl/popper/
H A Dpop_pass.c38 ret = krb5_parse_name (p->context, p->user, &client);
88 * pass: Obtain the user password from a POP client
97 /* Look for the user in the password file */
98 if ((pw = k_getpwnam(p->user)) == NULL) {
99 pop_log(p, POP_PRIORITY, "user %s (from %s) not found",
100 p->user, p->ipaddr);
104 pop_log(p, POP_INFO, "login from %s as %s", p->ipaddr, p->user);
106 /* Build the name of the user's maildrop */
107 snprintf(p->drop_name, sizeof(p->drop_name), "%s/%s", POP_MAILDIR, p->user);
109 /* Make a temporary copy of the user'
[all...]
/macosx-10.10/apache-793/httpd/os/bs2000/
H A Dos.c46 * set both the POSIX and BS2000 user id's to the unprivileged user.
60 /* If the user is unprivileged, use the normal fork() only. */
73 * environment to be switched to the target user's user id.
90 "be started by an unprivileged user!");
98 pid_t os_fork(const char *user) argument
110 apr_cpystrn(username, user, sizeof username);
112 /* Make user name all upper case - for some versions of ufork() */
119 "for user
[all...]
/macosx-10.10/bind9-45.101/bind9/unit/atf-src/atf-run/
H A Duser.cpp35 #include "../atf-c/detail/user.h"
42 #include "user.hpp"
59 throw std::runtime_error("Failed to drop user privileges");
63 impl::get_user_ids(const std::string& user) argument
65 const struct passwd* pw = ::getpwnam(user.c_str());
67 throw std::runtime_error("Failed to get information for user " + user);
/macosx-10.10/bootp-298/bootpd.tproj/
H A DAFPUsers.h51 uid_t AFPUser_get_uid(AFPUserRef user);
52 char * AFPUser_get_user(AFPUserRef user, char *buf, size_t buf_len);
53 Boolean AFPUser_set_random_password(AFPUserRef user,
/macosx-10.10/curl-83.1.2/curl/tests/libtest/
H A Dlib586.c46 struct userdata *user = (struct userdata *)useptr; local
68 printf("lock: %-6s [%s]: %d\n", what, user->text, user->counter);
69 user->counter++;
76 struct userdata *user = (struct userdata *)useptr; local
95 printf("unlock: %-6s [%s]: %d\n", what, user->text, user->counter);
96 user->counter++;
141 struct userdata user; local
143 user
[all...]
/macosx-10.10/mail_cmds-30/mail/
H A Dv7.local.c58 * Locate the user's mailbox file (ie, the place where new, unread
62 findmail(user, buf, buflen)
63 char *user, *buf;
69 (void)snprintf(buf, buflen, "%s/%s", _PATH_MAILDIR, user);
86 * Discover user login name.
/macosx-10.10/postfix-255/postfix/src/virtual/
H A Drecipient.c19 /* Attributes describing user rights and mailbox location.
75 state.msg_attr.user = mystrdup(state.msg_attr.rcpt.address);
76 lowercase(state.msg_attr.user);
90 myfree(state.msg_attr.user);
/macosx-10.10/OpenSSH-189/openssh/
H A Dauth-shadow.c91 const char *user = ctxt->pw->pw_name; local
96 if ((spw = getspnam((char *)user)) == NULL) {
97 error("Could not get shadow information for %.100s", user);
109 pr = getprpwnam((char *)user);
125 logit("User %.100s password has expired (root forced)", user);
130 logit("User %.100s password has expired (password aged)", user);
/macosx-10.10/Security-57031.1.35/SecurityTests/clxutils/certcrl/testSubjects/trustSettings/
H A DbuildAndTest4 # import those trust settings into current user domain;
6 # import empty trust settings back into user domain;
8 # This requires user interaction to authenticate the trust settings import.
25 echo Importing Trust Settings. This requires user authentication.
31 echo Restoring original Trust Settings. This requires user authentication.
35 echo Importing Empty Trust Settings. This requires user authentication.
/macosx-10.10/ncurses-44/ncurses/panel/
H A Dpanel.c78 text, USER_PTR(pan->user),
79 (pan->below) ? USER_PTR(pan->below->user) : "--",
80 (pan->above) ? USER_PTR(pan->above->user) : "--",
96 (_nc_bottom_panel) ? USER_PTR(_nc_bottom_panel->user) : "--",
97 (_nc_top_panel) ? USER_PTR(_nc_top_panel->user) : "--");
99 _tracef("pan id=%s", USER_PTR(pan->user));
/macosx-10.10/OpenSSH-189/openssh/openbsd-compat/
H A Dport-aix.c130 aix_valid_authentications(const char *user) argument
135 if (getuserattr((char *)user, S_AUTHSYSTEM, &sys, SEC_CHAR) != 0) {
137 user, strerror(errno));
145 if (getuserattr((char *)user, S_AUTH1, &auth1, SEC_LIST) != 0) {
147 user, strerror(errno));
157 user, p);
200 * Check if the user's password is expired.
215 default: /* user can't change(2) or other error (-1) */
216 logit("Password can't be changed for user %s: %.100s",
245 * logins via ssh) or if running as non-root user (sinc
277 sys_auth_record_login(const char *user, const char *host, const char *ttynm, Buffer *loginmsg) argument
297 sys_auth_get_lastlogin_msg(const char *user, uid_t uid) argument
310 record_failed_login(const char *user, const char *hostname, const char *ttyname) argument
333 aix_setauthdb(const char *user) argument
434 getgrouplist(const char *user, gid_t pgid, gid_t *groups, int *grpcnt) argument
[all...]
/macosx-10.10/cups-408/cups/desktop/
H A Dcups.conf5 <policy user="root">
/macosx-10.10/cups-408/cups/test/
H A Dcancel-current-job.test34 ATTR name requesting-user-name $user
56 ATTR name requesting-user-name $user

Completed in 138 milliseconds

1234567891011>>